#ifndef SETTINGFORM_H
#define SETTINGFORM_H

#include <QDialog>

namespace Ui {
class SettingForm;
}

class SettingForm : public QDialog
{
    Q_OBJECT

public:
    explicit SettingForm(QWidget *parent = 0);
    ~SettingForm();

private:
    Ui::SettingForm *ui;

    /* 功能:初始化
     * 参数:NULL
     * 返回:NULL
     * */
    void _Init();

private slots:
    /* 功能:处理打印机选择
     * 参数:NULL
     * 返回:NULL
     * */
    void on_settingCbxPrinter_activated(const QString &text);
    /* 功能:处理打印测试按钮点击
     * 参数:NULL
     * 返回:NULL
     * */
    void on_settingBtnPrintTest_clicked();
    /* 功能:处理声音测试按钮点击
     * 参数:NULL
     * 返回:NULL
     * */
    void on_settingBtnSoundTest_clicked();
};

#endif // SETTINGFORM_H
